**To delete a core device**

The following ``delete-core-device`` example deletes an AWS IoT Greengrass core device. ::

    aws greengrassv2 delete-core-device \
        --core-device-thing-name MyGreengrassCore

This command produces no output.

For more information, see `Uninstall the AWS IoT Greengrass Core software <https://docs.aws.amazon.com/greengrass/v2/developerguide/configure-greengrass-core-v2.html#uninstall-greengrass-core-v2>`__ in the *AWS IoT Greengrass V2 Developer Guide*.